@import url('https://fonts.googleapis.com/css2?family=MedievalSharp&display=swap');
*,
*::before,
*::after {
  margin: 0;
	padding: 0;
  box-sizing: border-box;
}
body {
	height: 100vh;
	/* background: url("./room.jpg");
	background-size: cover;
	background-repeat: no-repeat; */
}
.book-content {
	position: absolute;
	top: 52%;
	left: 50%;
	width: 350px;
	height: 467px;
	background: #C8AA94;
  box-shadow: inset 600px 0 50px #000000cc, 0 20px 100px #000000e6;
  transform-style: preserve-3d;
	transform: translate(-50%,-50%) perspective(2000px);
	transition: 2s cubic-bezier(0, 0, .3, .88);
}
.book-content:hover {
	transform: translate(-50%,-50%) perspective(2000px);
	box-shadow: inset 20px 0 50px #000000cc, 0 10px 100px #000000e6;
}
.book-content:before {
	content: '';
	position: absolute;
	width: 100%;
	height: 10px;
	top: -6px;
	left: 0;
	background: #3B2E26;
	transform-origin: bottom;
	transform: skewX(-45deg);
  border-top-right-radius: 5px;
}
.book-content:after {
	content: '';
	position: absolute;
	width: 7px;
	height: 100.5%;
	top: 0;
	right: -7px;
	background: #3B2E26;
	transform-origin: left;
	transform: skewY(-45deg);
}
.book-cover {
  position: relative;
	width: 100%;
	height: 100%;
	transform-origin: left;
	transition: 2s cubic-bezier(0, 0, .3, .88);
  background: url(./cover.jpg) left/cover;
  background-size: cover;
  z-index: 1;
}

.book-tutup {
  position: relative;
	width:100%;
	height: 100%;
	transform-origin: left;
	transition: 2s cubic-bezier(0, 0, .3, .88);
  background: url(./cover.jpg)  right/cover;
  background-size: cover;
  z-index: 1;
}

.book-content:hover .book-cover {
	transform: rotateY(-135deg);
}
.book-page {
	position: absolute;
  width: 100%;
  height: 100%;
	top: 0;
	left: 0;
  padding: 20px;
  border-left: 1px solid #3B2E26;
  border-bottom: 0px solid #3B2E26;
  font-family: 'MedievalSharp', cursive;
   overflow: hidden;
}
.book-page h1 {
  font-size: 30px;
  text-align: center;
  margin-bottom: 40px;
  color: #020202;

}
.book-page p {
  font-size: 10px;
  line-height: 1.3;
}

/* Ini menempatkan nav-links selalu di bawah halaman */
.nav-links {
  position: absolute;
  bottom: 14px;
  left: 20px;
  right: 20px;
  display: flex;
  justify-content: space-between;
}

.nav-links a {
  font-size: 12px;
  text-decoration: none;
  color: #000;
  /* background: #f0e6d2; */
  padding: 4px 10px;
  border-radius: 4px;
  transition: background 0.3s;
}

.nav-links a:hover {
  background: #d6c5a1;
}


/* Ini menempatkan nav-links selalu di bawah halaman */
.nav-links2 {
  position: absolute;
  bottom: 40px;
  left: 30px;
  right: 30px;
  display: flex;
  justify-content: space-between;
}

.nav-links2 a {
  font-size: 12px;
  text-decoration: none;
  color: #000;
  /* background: #f0e6d2; */
  padding: 4px 10px;
  border-radius: 4px;
  transition: background 0.3s;
}

.nav-links2 a:hover {
  background: #d6c5a1;
}